Subject: bug#44483: 27.1.50; Window parameter `min-margins' doesn't split window in half

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Nov 2020 20:29:33 +0200

> From: Joost Kremers <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 06 Nov 2020 17:25:07 +0100
> 
> > That expectation is incorrect by default.
> 
> Well, let me put it this way: If I split a window in which the margins are nil,
> `split-window-right`, in my experience, always splits the window in half.
> (Perhaps there are cases where that is not guaranteed, I don't know, but I've
> never seen any.) 

The equal sizes are not guaranteed, but that doesn't mean they will
never happen.  Especially when you put Emacs in an "impossible"
situation, where a simple split will not work.

> >   To have the windows
> > equally-sized, you need to set window-combination-resize to t, AFAIU,
> > otherwise Emacs makes no promise that your expectation will be heeded.
> 
> A quick check suggests that `window-combination-resize' has no effect here. I
> still get the 1/3 - 2/3 split at least some of the time.

<Shrug> It did work for me, so I'm unsure what's going on.  Though I
couldn't have a window with 283 columns to begin with, so maybe it
depends on the actual sizes.

> (Mind you, I'm
> splitting a window that's the single window in its frame

So did I.

> so AFAIU there is no window combination to speak of, and
> `window-combination-resize' should have no visible effect, from what
> I can tell from its documentation.)

I think you take the name of the variable too literally.